System 2.0.0.0 4.0.0.0 System.Object

This class provides configuration and statistical information about the local computer's network interfaces and network connections.

The information provided by this class is similar to that provided by the Internet Protocol Helper API functions. For information about the Internet Protocol Helper, see the documentation in the MSDN Library.

Provides information about the network connectivity of the local computer.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor can be called only by classes derived from .

  Initializes a new instance of the class.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  A DHCP scope is an administrative grouping of networked computers that are on the same subnet.

  Gets the Dynamic Host Configuration Protocol (DHCP) scope name.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets the domain in which the local computer is registered.

- Method
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.TcpConnectionInformation[]

  The objects returned by this method include connections in all TCP states except the state. You can check the state of a connection by calling .

  The TCP protocol is defined in IETF RFC 793. Note that the objects returned by this method reflect the connections as of the time the array is created. This information is not updated dynamically.

  Returns information about the Internet Protocol version 4 (IPv4) and IPv6 Transmission Control Protocol (TCP) connections on the local computer.

  A array that contains objects that describe the active TCP connections, or an empty array if no active TCP connections are detected.

- Method
  2.0.0.0
  4.0.0.0
  System.Net.IPEndPoint[]

  The objects returned by this method include listeners in all TCP states except the state.

  The TCP protocol is defined in IETF RFC 793. Note that the objects returned by this method reflect the connections as of the time the array is created. This information is not updated dynamically.

  Returns endpoint information about the Internet Protocol version 4 (IPv4) and IPv6 Transmission Control Protocol (TCP) listeners on the local computer.

  A array that contains objects that describe the active TCP listeners, or an empty array, if no active TCP listeners are detected.

- Method
  2.0.0.0
  4.0.0.0
  System.Net.IPEndPoint[]

  UDP is a connectionless transport layer protocol that is responsible for sending and receiving datagrams. It is defined in IETF RFC 768.

  A UDP listener is an open socket that waits for and receives UDP datagrams. Because UDP is a connectionless protocol, the listener does not maintain a connection to a remote endpoint.

  Returns information about the Internet Protocol version 4 (IPv4) and IPv6 User Datagram Protocol (UDP) listeners on the local computer.

  An array that contains objects that describe the UDP listeners, or an empty array if no UDP listeners are detected.

- Method
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.IcmpV4Statistics

  ICMP is a set of messages for use with Internet Protocol version 4 (IPv4). ICMP is used by IPv4 nodes to report errors encountered in processing data packets and to perform other Internet layer functions. ICMP version 4 is defined in IETF RFC 792.

  For details on the ICMP version 4 traffic statistics that are available to applications, see the class documentation. Note that the object returned by this method reflects the statistics as of the time the object is created. This information is not updated dynamically.

  Provides Internet Control Message Protocol (ICMP) version 4 statistical data for the local computer.

  An object that provides ICMP version 4 traffic statistics for the local computer.

- Method
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.IcmpV6Statistics

  ICMP version 6 is a set of messages for use with Internet Protocol version 6 (IPv6). ICMP is used by IPv6 nodes to report errors encountered in processing data packets and to perform other Internet layer functions. ICMP version 6 is defined in IETF RFC 1885.

  The IPv6 protocol is not supported for computers with Windows 2000 or earlier operating systems.

  For details on the ICMP version 6 traffic statistics available to applications, see the class documentation. Note that the object returned by this method reflects the statistics as of the time the object is created. This information is not updated dynamically.

  Provides Internet Control Message Protocol (ICMP) version 6 statistical data for the local computer.

  An object that provides ICMP version 6 traffic statistics for the local computer.

- Method
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.IPGlobalProperties

  The object returned by this method is a system-supplied type that derives from the class.

  Gets an object that provides information about the local computer's network connectivity and traffic statistics.

  A object that contains information about the local computer.

- Method
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.IPGlobalStatistics

  IPv4 is a network layer protocol that is responsible for routing data packets from its source computer to its destination.

  For details on the IP traffic statistics available to applications, see the class documentation. Note that the object returned by this method reflects the statistics as of the time the object is created. This information is not updated dynamically.

  Provides Internet Protocol version 4 (IPv4) statistical data for the local computer.

  An object that provides IPv4 traffic statistics for the local computer.

- Method
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.IPGlobalStatistics

  IPv6 is a network layer protocol responsible for routing data packets from its source computer to its destination. The IPv6 protocol is not supported on computers with Windows 2000 or earlier operating systems.

  For details on the IP traffic statistics available to applications, see the class documentation. Note that the object returned by this method reflects the statistics as of the time the object is created. This information is not updated dynamically.

  Provides Internet Protocol version 6 (IPv6) statistical data for the local computer.

  An object that provides IPv6 traffic statistics for the local computer.

- Method
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.TcpStatistics

  TCP is a transport layer protocol that is responsible for reliably sending and receiving data packets. It is defined in IETF RFC 793.

  For details on the TCP traffic statistics available to applications, see the class documentation. Note that the object returned by this method reflects the statistics as of the time the object is created. This information is not updated dynamically.

  Provides Transmission Control Protocol/Internet Protocol version 4 (TCP/IPv4) statistical data for the local computer.

  A object that provides TCP/IPv4 traffic statistics for the local computer.

- Method
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.TcpStatistics

  TCP is a transport layer protocol responsible for reliably sending and receiving data packets. It is defined in IETF RFC 793.

  For details on the TCP traffic statistics that are available to applications, see the class documentation. Note that the object returned by this method reflects the statistics as of the time the object is created. This information is not updated dynamically.

  Provides Transmission Control Protocol/Internet Protocol version 6 (TCP/IPv6) statistical data for the local computer.

  A object that provides TCP/IPv6 traffic statistics for the local computer.

- Method
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.UdpStatistics

  UDP is a connectionless transport layer protocol that is responsible for sending and receiving datagrams. It is defined in IETF RFC 768.

  For details on the UDP traffic statistics that are available to applications, see the class documentation. Note that the object returned by this method reflects the statistics as of the time the object is created. This information is not updated dynamically.

  Provides User Datagram Protocol/Internet Protocol version 4 (UDP/IPv4) statistical data for the local computer.

  A object that provides UDP/IPv4 traffic statistics for the local computer.

- Method
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.UdpStatistics

  UDP is a connectionless transport layer protocol that is responsible for sending and receiving datagrams. It is defined in IETF RFC 768.

  For details on the UDP traffic statistics that are available to applications, see the class documentation. Note that the object returned by this method reflects the statistics as of the time the object is created. This information is not updated dynamically.

  Provides User Datagram Protocol/Internet Protocol version 6 (UDP/IPv6) statistical data for the local computer.

  A object that provides UDP/IPv6 traffic statistics for the local computer.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added.

  This property calls into the native IP Helper function, GetNetworkParams, which returns a FIXED_INFO structure that contains the NetBIOS host name string. The host name string is truncated when it exceeds 15 characters.

  A computer's NetBIOS name must be unique within a network and is not fully qualified by the domain name.

  Gets the host name for the local computer.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added.

  WINS provides a distributed database for registering and querying dynamic NetBIOS names to IP address mappings.

  Gets a value that specifies whether the local computer is acting as a Windows Internet Name Service (WINS) proxy.

- Property
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.NetBiosNodeType To be added.

  The node type determines the way in which NetBIOS names are resolved to IP addresses. For additional information, see the class overview.

  Gets the Network Basic Input/Output System (NetBIOS) node type of the local computer.